Bug 840502 - Bad udev rule for xcm
Bad udev rule for xcm
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xcm (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 09:55 EDT by ZiN
Modified: 2012-11-11 06:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-11 06:07:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch for installed rules file (619 bytes, patch)
2012-07-16 09:55 EDT, ZiN
no flags Details | Diff

  None (edit)
Description ZiN 2012-07-16 09:55:17 EDT
Created attachment 598454 [details]
A patch for installed rules file

Description of problem:

Udev rule for XCM utilities fails with such messages:
Jul 16 15:37:24 lightnote udevd[492]: failed to execute '/usr/lib/udev/xcmddc' 'xcmddc --i2c /dev/i2c-4 --identify': No such file or directory

Version-Release number of selected component (if applicable):
xcm-0.5.0-1.fc17.i686

How reproducible:
Just install xcm.

Steps to Reproduce:
1. Install xcm.
2. Reboot or reload udev rules.
3. Look at syslog for udev error messages.
  
Actual results:
Udev error messages are logged every time the system boots or udev triggers to reload.

Expected results:
No error messages. The i2c dev entries are created with proper group and permissions.

Additional info:
1. It seems that specifying an absolute path to xcmddc in the last rule resolves the problem.
2. Should those /dev/i2c-* files, that a setting up with in this udev rules file, be world writeable? For, as I understand, the user, logged in X11 session, becomes a member of a 'video' group, so that 0660 or 0664 modes could be quite enough for normal functioning.
Comment 1 Nicolas Chauvet (kwizart) 2012-10-16 17:56:37 EDT
Sorry for the long reply, can you forward the patch upstream ?
I will fix the path side of the issue for now.
Thx for your report.
Comment 2 Fedora Update System 2012-10-16 18:52:46 EDT
xcm-0.5.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xcm-0.5.1-1.fc18
Comment 3 Fedora Update System 2012-10-16 19:00:26 EDT
xcm-0.5.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xcm-0.5.1-1.fc17
Comment 4 Fedora Update System 2012-10-16 23:17:46 EDT
Package xcm-0.5.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xcm-0.5.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16280/xcm-0.5.1-1.fc18
then log in and leave karma (feedback).
Comment 5 ZiN 2012-10-23 04:57:54 EDT
Sent patch to Oyranos SF tracker.
http://sourceforge.net/tracker/?func=detail&atid=879555&aid=3579428&group_id=177017
Don't know if I've done right or it would be better to add a bug.

Note You need to log in before you can comment on or make changes to this bug.